package com.wechat.model.requestDto;

import javax.validation.constraints.NotNull;

/**
 * @author jadyn.wu
 * @date: 2020-12-30 17:46
 */
public class SubscribedPositionsReq {

    private Integer positionId;

    private Integer depdId;

    private Integer positionGrade;

    @NotNull(message="职位类别不能为空|Position Type can not be empty.")
    public Integer getPositionId() {
        return positionId;
    }

    public void setPositionId(Integer positionId) {
        this.positionId = positionId;
    }
    
    @NotNull(message="部门不能为空|Department can not be empty.")
    public Integer getDepdId() {
        return depdId;
    }

    public void setDepdId(Integer depdId) {
        this.depdId = depdId;
    }

    @NotNull(message="职位级别不能为空|Position Grade can not be empty.")
    public Integer getPositionGrade() {
        return positionGrade;
    }

    public void setPositionGrade(Integer positionGrade) {
        this.positionGrade = positionGrade;
    }

}